/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
21/03/2016

LIGHTSENSOR L  connected to A5 - look at worksheet "I-AN LIGHT PHOTOTRANSISTOR"
LIGHTSENSOR L  connected to A0

Connect this LCD as follows:
LCD             Brainbox Arduino
GND             GND
VCC             +5V
SDA             SDA/2
SCL             SCL/3
!! Pull up resistors are required - place 4K7 between SDA and 5V and 4K7 between SCL and 5V

2 DC motors connections:
MOTOR_L_PWM =  5
MOTOR_L_FR =  6
MOTOR_R_PWM =  9
MOTOR_R_FR =  10

*/


const int LDR_L = A5;  // Analog input pin
const int LDR_R = A0;  // Analog input pin

const int MOTOR_L_PWM =  5; // Left motor PWM signal
const int MOTOR_L_FR =  6;  // Left motor Forward reverse signal (1/0)
const int MOTOR_R_PWM =  9; // Left motor PWM signal
const int MOTOR_R_FR =  10;  // Left motor Forward reverse signal (1/0)

int SENS_L = 0;
int SENS_R = 0;



void setup()
{

delay(3000);   // wait 3 sec before start


  pinMode(MOTOR_L_PWM, OUTPUT);
  pinMode(MOTOR_L_FR, OUTPUT);
  pinMode(MOTOR_R_PWM, OUTPUT);
  pinMode(MOTOR_R_FR, OUTPUT);  
}
 
 
void loop()
{
SENS_L = analogRead(LDR_L);              // read the value of the L sensor
SENS_R = analogRead(LDR_R);              // read the value of the R sensor

if (SENS_L < SENS_R) // TURN LEFT to follow light
{

digitalWrite(MOTOR_L_FR, LOW);    //Forward
analogWrite(MOTOR_L_PWM, 80);    // PWM 
digitalWrite(MOTOR_R_FR, LOW);    //Forward
analogWrite(MOTOR_R_PWM, 180);    // PWM 

}
else              // TURN RIGHT
{
digitalWrite(MOTOR_L_FR, LOW);    //Forward
analogWrite(MOTOR_L_PWM, 180);    // PWM 
digitalWrite(MOTOR_R_FR, LOW);    //Forward
analogWrite(MOTOR_R_PWM, 80);    // PWM 
}
}
